

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.C4F727DD-6C89-FAC6-E827-B8A8BC632C68]
// </editor-fold> 
public class Territorio {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.94CE7BD4-6FB3-B78B-C933-5C6524C5C9BD]
    // </editor-fold> 
    private Carta_Territorio mCarta_Territorio;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.65622542-9E72-6FA7-2E23-CDC4697A0111]
    // </editor-fold> 
    private String nomTerritorio;
    private int idTerritorio;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5D1DAD6C-9B96-4ACB-64E9-926C37B20A71]
    // </editor-fold> 
    private int numEjercitos;
    
    private int idJugador;
    
    private int[] lAdyacentes;
    
    private int numAdyacentes;
    
    private Partida mPartida;
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.DE938E60-E30A-382F-A84B-9508BFBC7B8C]
    // </editor-fold> 
    public Territorio () {
    }
    
    public Territorio (String nombre,int idTerr,int numEj){
        nomTerritorio=nombre;
        idTerritorio=idTerr;
        numEjercitos=numEj;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A0F268E4-31BC-0CCC-F926-797B96A7749B]
    // </editor-fold> 
    public Carta_Territorio getCarta () {
        return null;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.4480C8AA-FB48-FE45-9B62-3E4285C37F07]
    // </editor-fold> 
    public void setCarta (Carta_Territorio val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.B5833DE6-4722-DEC0-9775-CAC7395B1B33]
    // </editor-fold> 
    public String getNomTerritorio () {
        return nomTerritorio;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9CE23678-86EF-963D-9963-8E021DA5921A]
    // </editor-fold> 
    public void setNomTerritorio (String val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6A9EF46E-9D70-E12F-A6D3-88687C9DEC5B]
    // </editor-fold> 
    public int getNumEjercitos () {
        return numEjercitos;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E59D6115-304E-C4BB-9A58-55123FC90CCC]
    // </editor-fold> 
    public void aumentarNumEjercitos (int val) {
        numEjercitos=numEjercitos+val;
    }
    
    public void disminuirNumEjercitos(int val){
        numEjercitos=numEjercitos-val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D801B834-E0DB-3180-9557-C103B10560CE]
    // </editor-fold> 
    public Carta_Territorio getCarta_Territorio () {
        return mCarta_Territorio;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C70E94C6-642D-CDE2-A1E9-4D71781EF7DE]
    // </editor-fold> 
    public void setCarta_Territorio (Carta_Territorio val) {
        this.mCarta_Territorio = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D0F80524-FD1A-4352-F47D-39CC8C87FB79]
    // </editor-fold> 
    public int getIdJugador () {
        return idJugador;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6DD6EA77-583B-E645-25AE-C0E7676BAF35]
    // </editor-fold> 
    public void setIdJugador (int val) {
        idJugador=val;
    }
    
    public int getIdTerritorio(){
        return idTerritorio;
    }
    
    public int getNumAdyacentes(){
        return numAdyacentes;
    }
    
    public void setNumAdyacentes(int val){
        numAdyacentes=val;
    }
    
    public int[] getLAdyacentes(){
        return lAdyacentes;
    }
    
    public void setlAdyacentes(int[] val){
        lAdyacentes=val;
    }
    
    public void mostrarTerrAdy(){
        int i;
        int aux=0;
        System.out.println("\nTerritorios adyacentes al territorio "+this.nomTerritorio);
        for(i=0; i<numAdyacentes;i++){
            aux=lAdyacentes[i];
            Territorio t=mPartida.getTerritorio().get(aux-1);
            int id=t.getIdJugador();
            Jugador j=mPartida.getJugador(id);
            System.out.println(t.getIdTerritorio()+". "+t.getNomTerritorio() +" ("+j.getNombre()+"), NE:"+t.getNumEjercitos());
        }
    }

    public boolean adyacente(int id){
        boolean dev=false;
        int i;
        for(i=0; i<numAdyacentes && dev==false;i++){
            if(lAdyacentes[i]==id)
                dev=true;
        }
        return dev;
    }
            
    public Partida getPartida(){
        return mPartida;
    }
    
    public void setPartida(Partida val){
        mPartida=val;
    }
}

